<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

/**
 * App\AssociationHomeInfo
 *
 * @property int $id
 * @property int $association_id
 * @property int|null $favicon_ico_img
 * @property string|null $header_sub_title
 * @property int|null $background_img
 * @property int|null $brand_logo
 * @property string|null $brand_before_text
 * @property string $brand_name_text
 * @property string $brand_url
 * @property string|null $home_tagline
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property-read \App\Association $association
 * @property-read \App\AssociationWebImage|null $background
 * @property-read \App\AssociationWebImage|null $favicon
 * @property-read \App\AssociationWebImage|null $logo
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereAssociationId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereBackgroundImg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereBrandBeforeText($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereBrandLogo($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereBrandNameText($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereBrandUrl($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereFaviconIcoImg($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereHeaderSubTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereHomeTagline($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereUpdatedAt($value)
 * @mixin \Eloquent
 * @property string|null $before_text
 * @property string|null $tagline1
 * @property string|null $tagline2
 * @property string|null $tagline3
 * @property string $volunteer_statement
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereBeforeText($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereTagline1($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereTagline2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereTagline3($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationHomeInfo whereVolunteerStatement($value)
 */
class AssociationHomeInfo extends Model
{
    public function logo() {
        return $this->belongsTo('App\AssociationWebImage', 'brand_logo');
    }

    public function favicon() {
        return $this->belongsTo('App\AssociationWebImage', 'favicon_ico_img');
    }

    public function background() {
        return $this->belongsTo('App\AssociationWebImage', 'background_img');
    }

    public function volunteer_img() {
        return $this->belongsTo('App\AssociationWebImage', 'volunteer_img');
    }

    public function association() {
        return $this->belongsTo('App\Association');
    }
}
