<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

/**
 * App/AssociationSponsors
 *
 * @property int $id
 * @property int $association_id
 * @property int|null $sponsor_logo
 * @property string $sponsor_name
 * @property string $sponsor_level
 * @property string $street_address
 * @property string $city
 * @property string $state
 * @property string $state_abrv
 * @property string $zip
 * @property string|null $phone
 * @property string|null $sponsor_website
 * @property
 * @property string|null $street_address_2
 * @property string|null $city_2
 * @property string|null $state_2
 * @property string|null $state_abrv_2
 * @property string|null $zip_2
 * @property string|null $phone_2
 * @property string $start_date
 * @property string $end_date
 * @property \App\Documents|null $sponsor_brochure
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property-read \App\Association $association
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereAssociationId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereCity($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereCity2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereEndDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors wherePhone($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors wherePhone2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereSponsorBrochure($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereSponsorLevel($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereSponsorLogo($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereSponsorName($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereSponsorWebsite($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereStartDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereState($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereState2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereStateAbrv($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereStateAbrv2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereStreetAddress($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereStreetAddress2($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereZip($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationSponsors whereZip2($value)
 * @mixin \Eloquent
 */
class AssociationSponsors extends Model
{
    protected $fillable = [
        'association_id', 'sponsor_logo', 'sponsor_name', 'sponsor_level', 'sponsor_website' , 'street_address' ,'city',
        'state', 'state_abrv', 'zip', 'phone', 'street_address_2', 'city_2', 'state_2', 'state_abrv_2', 'zip_2', 'phone_2',
        'start_date', 'end_date'
    ];

    public function sponsor_logo() {
        return $this->belongsTo('App\AssociationWebImage', 'sponsor_logo');
    }

    public function sponsor_brochure(){
        return $this->belongsTo('App\Documents', 'sponsor_brochure');
    }

    public function association() {
        return $this->belongsTo("App\Association");
    }
}
