<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

/**
 * App\AssociationWebImage
 *
 * @property int $id
 * @property int $assoc_id
 * @property string $image_title
 * @property string $image_hyperlink
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage whereAssocId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage whereImageHyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage whereImageTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage whereUpdatedAt($value)
 * @mixin \Eloquent
 * @property int $association_id
 * @property-read \App\Association $association
 * @method static \Illuminate\Database\Eloquent\Builder|\App\AssociationWebImage whereAssociationId($value)
 */
class AssociationWebImage extends Model
{
    protected $fillable = [
        'association_id',
        'image_title',
        'image_hyperlink'
    ];

    public function association() {
        return $this->belongsTo("App\Association");
    }
}
