<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Association;
use App\AssociationWebImages;
use App\AssociationWebSetupAbout;
use DB;

class AboutpageController extends Controller
{
    //Query to Database and pass the data to the view
    public function show()
    {
        //Building Database Query
        $association_id = config('global.association_id');
        $association = Association::find($association_id);
        $home_info = $association->association_home_info;
        $logo_img = $home_info->logo;
        $link_types = $association->link_types;
        $links = $association->links;
        $about_info = $association->association_web_setup_abouts()->first();
        $officers = $association->board_members()->where('bm_start_date', '<=', now())
            ->where('bm_end_date', '>=', now())
            ->join('board_positions', 'board_position_id', '=', 'board_positions.id')
            ->where('officer', '=', true)
            ->orderBy('board_position_id', 'asc')->get();

        $board_members = $association->board_members()->where('bm_start_date', '<=', now())
            ->where('bm_end_date', '>=', now())
            ->join('board_positions', 'board_position_id', '=', 'board_positions.id')
            ->where('officer', '=', false)
            ->orderBy('board_position_id', 'asc')->get();

        //returning the data to aboutpage view
        return view('about',[
            'general' => $home_info, 'logo_img' => $logo_img, 'link_types' => $link_types, 'links' => $links,
            'about_info' => $about_info, 'board_members' => $board_members,
            'officers' => $officers,
        ]);
    }
}
