<?php

namespace App\Http\Controllers;

use App\Association;
use App\Barn;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class BarnsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param barn $barns
     * @return Response
     */
    public function show()
    {
        $association_id = config('global.association_id');
        $association = Association::find($association_id);
        $home_info = $association->association_home_info;
        $logo_img = $home_info->logo;
        $link_types = $association->link_types;
        $links = $association->links;

        $barns = $association->barns()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())->orderBy('barn_name')->get();

        return view('barns', [
                'general' => $home_info, 'logo_img' => $logo_img, 'link_types' => $link_types, 'links' => $links,
                'barns' => $barns,
            ]
        );
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param barn $barns
     * @return Response
     */
    public function edit(barn $barns)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param Request $request
     * @param barn $barns
     * @return Response
     */
    public function update(Request $request, barn $barns)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param barn $barns
     * @return Response
     */
    public function destroy(barn $barns)
    {
        //
    }
}
