<?php

namespace App\Http\Controllers;

use App\Association;
use Illuminate\Http\Request;
use GuzzleHttp\Client;
use Redirect;
use Validator;

class ContactController extends Controller
{
    public function show() {
        $association_id = config('global.association_id');
        $association = Association::find($association_id);
        $home_info = $association->association_home_info;
        $logo_img = $home_info->logo;
        $link_types = $association->link_types;
        $links = $association->links;

        return view('contact', [
            'general' => $home_info, 'logo_img' => $logo_img, 'link_types' => $link_types, 'links' => $links,
        ]);
    }

    public function contact(Request $request) {
        //TODO Restore content of invalid fieldso
        $validator = Validator::make($request->all(), [
            'name' => 'required|max:255',
            'email' => 'required|email',
            'phone' => 'max:15', //TODO Implement phone validation
            'message' => 'required',
            'g-recaptcha-response' => 'required',
        ]);

        if ($validator->fails()) {
            return back()
                ->withErrors($validator)
                ->withInput();
        }

        $client = new Client();

        $res = $client->request('POST', 'https://www.google.com/recaptcha/api/siteverify', [
            'form_params' => [
                'secret' => '6LdxReAUAAAAAKswt5YW2YmkrquOUa67Ok8KEH8R',
                'response' => $request['g-recaptcha-response'],
            ]
        ]);

        if ($res->getStatusCode() != 200) { // 200 OK
            return back()->with('msg', 'Sorry, we are having trouble verifying your data. Try emailing directly to the email above.')->withInput();
        }

        $response_data = json_decode($res->getBody());
        if ($response_data->success != 'true') {
            return back()->with('msg', 'Sorry, we are having trouble verifying your data. Try emailing directly to the email above.')->withInput();
        }

        //TODO Build mail client
        return back()->with('success', 'Your message has been sent. We will get back to you as soon as possible.');
    }
}
