<?php

namespace App\Http\Controllers;

use App\Association;
use App\CategoryTypes;
use Illuminate\Http\Request;

class EventpageController extends Controller
{
    public function show()
    {
        $association_id = config('global.association_id');
        $association = Association::find($association_id);
        $home_info = $association->association_home_info;
        $logo_img = $home_info->logo;
        $link_types = $association->link_types;
        $links = $association->links;

        $event_years = $association->category_events()->orderBy('program_year', 'desc')->distinct('program_year')->get('program_year')->take(2);
            //array ( now()->format('Y'), now()->subYear(1)->format('Y'));
        $events = $association->category_events()->orderBy('start_date','asc')->get();

        return view('events', [
                'general' => $home_info, 'logo_img' => $logo_img, 'link_types' => $link_types, 'links' => $links,
                'event_years' => $event_years, 'events' => $events,
            ]
        );
    }
}
