<?php

namespace App\Http\Controllers;

use App\Association;

class HomepageController extends Controller
{

    public function show()
    {
        $association_id = config('global.association_id');
        $association = Association::find($association_id);
        $home_info = $association->association_home_info;
        $logo_img = $home_info->logo;
        $link_types = $association->link_types;
        $links = $association->links;

        $notices = $association->notices()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())->get();

        $carousel = $association->association_web_setup_carousel_images()->get();

        $event_sponsors = $association->association_sponsors()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())
            ->where('association_sponsors.sponsor_level', '=', 'Event')
            ->get();

        $show_sponsors = $association->association_sponsors()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())
            ->where('association_sponsors.sponsor_level', '=', 'Show')
            ->get();

        $applications = $association->applications()
            ->where('program_year', '=', date('Y'))->get();

        return view('homepage', [
                'general' => $home_info, 'logo_img' => $logo_img, 'link_types' => $link_types, 'links' => $links,
                'notices' => $notices, 'carousel' => $carousel,
                'event_sponsors' => $event_sponsors,
                'show_sponsors' => $show_sponsors,
                'applications' => $applications,
            ]
        );
    }
}
