<?php

namespace App\Http\Controllers;

use App\Association;
use App\AssociationSponsors;
use Illuminate\Http\Request;

class SponsorpageController extends Controller
{
    public function show()
    {
        $association_id = config('global.association_id');
        $association = Association::find($association_id);
        $home_info = $association->association_home_info;
        $logo_img = $home_info->logo;
        $link_types = $association->link_types;
        $links = $association->links;

        $abouts = $association->association_sponsors_abouts()->get();

        $event_sponsors = $association->association_sponsors()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())
            ->where('sponsor_level', '=', 'Event')
            ->get();

        $show_sponsors = $association->association_sponsors()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())
            ->where('sponsor_level', '=', 'Show')
            ->get();

        $medal_sponsors = $association->association_sponsors()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())
            ->where('sponsor_level', '=', 'Medal')
            ->get();

        $equitation_sponsors = $association->association_sponsors()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())
            ->where('sponsor_level', '=', 'Equitation')
            ->get();

        $hunter_sponsors = $association->association_sponsors()->where('start_date', '<=', now())
            ->where('end_date', '>=', now())
            ->where('sponsor_level', '=', 'Hunter')
            ->get();

        return view('sponsors', [
            'general' => $home_info, 'logo_img' => $logo_img, 'link_types' => $link_types, 'links' => $links,
            'event_sponsors' => $event_sponsors, 'show_sponsors' => $show_sponsors, 'medal_sponsors' => $medal_sponsors,
            'equitation_sponsors' => $equitation_sponsors, 'hunter_sponsors' => $hunter_sponsors, 'abouts' => $abouts
        ]);
    }
}
