<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

/**
 * App\Notice
 *
 * @property int $id
 * @property int $association_id
 * @property string $start_date
 * @property string $end_date
 * @property string $notice_title
 * @property string|null $notice_title_hyperlink
 * @property string|null $line1_text
 * @property int $line1_small
 * @property string|null $line1_hyperlink
 * @property string|null $line2_text
 * @property int $line2_small
 * @property string|null $line2_hyperlink
 * @property string|null $line3_text
 * @property int $line3_small
 * @property string|null $line3_hyperlink
 * @property string|null $line4_text
 * @property int $line4_small
 * @property string|null $line4_hyperlink
 * @property string|null $line5_text
 * @property int $line5_small
 * @property string|null $line5_hyperlink
 * @property string|null $line6_text
 * @property int $line6_small
 * @property string|null $line6_hyperlink
 * @property \Illuminate\Support\Carbon|null $created_at
 * @property \Illuminate\Support\Carbon|null $updated_at
 * @property-read \App\Association $association
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice query()
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereAssociationId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereEndDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine1Hyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine1Small($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine1Text($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine2Hyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine2Small($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine2Text($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine3Hyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine3Small($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine3Text($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine4Hyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine4Small($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine4Text($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine5Hyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine5Small($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine5Text($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine6Hyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine6Small($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereLine6Text($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereNoticeTitle($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereNoticeTitleHyperlink($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereStartDate($value)
 * @method static \Illuminate\Database\Eloquent\Builder|\App\Notice whereUpdatedAt($value)
 * @mixin \Eloquent
 */
class Notice extends Model
{
    public function association() {
        return $this->belongsTo("App\Association");
    }

    public function notice_image() {
        return $this->belongsTo('App\AssociationWebImage', 'notice_image');
    }

    public function notice_brochure() {
        return $this->belongsTo('App\Documents', 'notice_brochure');
    }

    protected $fillable = [
        'association_id',
        'notice_image',
        'notice_brochure',
        'start_date',
        'end_date',
        'notice_title',
        'notice_title_hyperlink',
        'line1_text',
        'line1_small',
        'line1_hyperlink',
        'line2_text',
        'line2_small',
        'line2_hyperlink',
        'line3_text',
        'line3_small',
        'line3_hyperlink',
        'line4_text',
        'line4_small',
        'line4_hyperlink',
        'line5_text',
        'line5_small',
        'line5_hyperlink',
        'line6_text',
        'line6_small',
        'line6_hyperlink',
        ];
}
