<?php

namespace App\Providers;

use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use App\Association;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot() {
        $association_id = config('global.association_id');
        if (\Schema::hasTable("associations")) {
            $association = Association::find($association_id);
        } else {
            $association = null;
        }

        View::share('association', $association);
    }
}
