<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAssociationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('associations', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('name', 255);
            $table->char('acronym', 12);
            $table->char('street_address', 100);
            $table->char('city', 60);
            $table->char('state', 50);
            $table->char('state_abrv', 2);
            $table->char('zip', 10);
            $table->char('phone', 15)->nullable();
            $table->char('public_email', 255);
            $table->char('contact_email', 255);
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('associations');
    }
}
