<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDocumentsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('documents', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->char('doc_title',80)->nullable(false);
            $table->unsignedBigInteger('document_type_id')->nullable(false);
            $table->text('doc_hyperlink')->nullable(true);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('document_type_id')->references('id')->on('document_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('documents');
    }
}
