<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBarnsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('barns', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('barn_logo')->nullable(true);
            $table->char('barn_name',100)->nullable(false);
            $table->text('about_barn')->nullable(true);
            $table->char('barn_owner', 100)->nullable(true);
            $table->char('trainers', 150)->nullable(true);
            $table->text('embedded_map')->nullable(true);
            $table->char('street_address', 100);
            $table->char('city', 60);
            $table->char('state', 50);
            $table->char('state_abrv', 2);
            $table->char('zip', 10);
            $table->char('phone', 15)->nullable(true);
            $table->text('website')->nullable(true);
            $table->text('facebook')->nullable(true);
            $table->text('email')->nullable(true);
            $table->unsignedBigInteger('barn_brochure')->nullable(true);
            $table->date('start_date')->default(now())->nullable(true); // only required if member barn
            $table->date('end_date')->nullable(false); // only required if member barn
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('barn_logo')->references('id')->on('association_web_images');
            $table->foreign('barn_brochure')->references('id')->on('documents');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('barns');
    }
}
