<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->string('name')->unique();
            $table->string('email')->unique();
            $table->timestamp('email_verified_at')->nullable();
            $table->string('password');
            $table->rememberToken();
            $table->string('fname');
            $table->string('lname');
            $table->char('street_address', 100);
            $table->char('city', 60);
            $table->char('state', 50);
            $table->char('state_abrv', 2);
            $table->char('zip', 10);
            $table->char('phone', 15);
            $table->unsignedBigInteger('barn')->nullable(true);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('barn')->references('id')->on('barns');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
