<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAssociationHomeInfoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('association_home_infos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false)->unique();
            $table->unsignedBigInteger('favicon_ico_img')->nullable(true);
            $table->char('header_sub_title',80)->nullable(true);
            $table->unsignedBigInteger('background_img')->nullable(true);
            $table->unsignedBigInteger('brand_logo')->nullable(true);
            $table->char('before_text',40)->nullable(true);
            $table->char('tagline1')->nullable(true);
            $table->char('tagline2')->nullable(true);
            $table->char('tagline3')->nullable(true);
            $table->text('volunteer_statement')->nullable(false);
            $table->unsignedBigInteger('volunteer_img')->nullable(true);
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('favicon_ico_img')->references('id')->on('association_web_images');
            $table->foreign('background_img')->references('id')->on('association_web_images');
            $table->foreign('brand_logo')->references('id')->on('association_web_images');
            $table->foreign('volunteer_img')->references('id')->on('association_web_images');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('association_home_info');
    }
}
