<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAssociationWebSetupCarouselImagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('association_web_setup_carousel_images', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('carousel_image')->nullable(false);
            $table->char('carousel_image_caption', 25)->nullable(true);
            $table->integer('carousel_image_width')->nullable(false)->default(640);
            $table->integer('carousel_image_height')->nullable(false)->default(360);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('carousel_image')->references('id')->on('association_web_images');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('association_web_setup_carousel_images');
    }
}
