<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAssociationSponsorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('association_sponsors', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('sponsor_logo')->nullable(true);
            $table->char('sponsor_name', 80)->nullable(false);
            $table->char('sponsor_level', 25)->nullable(false)->default('Hunter');
            $table->text('embedded_map1')->nullable(true);
            $table->char('street_address', 100);
            $table->char('city', 60);
            $table->char('state', 50);
            $table->char('state_abrv', 2);
            $table->char('zip', 10);
            $table->char('phone', 15)->nullable(true);
            $table->text('embedded_map2')->nullable(true);
            $table->char('street_address_2', 100)->nullable(true);
            $table->char('city_2', 60)->nullable(true);
            $table->char('state_2', 50)->nullable(true);
            $table->char('state_abrv_2', 2)->nullable(true);
            $table->char('zip_2', 10)->nullable(true);
            $table->char('phone_2', 15)->nullable(true);
            $table->text('sponsor_website')->nullable(true);
            $table->text('sponsor_facebook')->nullable(true);
            $table->text('sponsor_email')->nullable(true);
            $table->date('start_date')->default(now())->nullable(false);
            $table->date('end_date')->nullable(false);
            $table->unsignedBigInteger('sponsor_brochure')->nullable(true);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('sponsor_logo')->references('id')->on('association_web_images');
            $table->foreign('sponsor_brochure')->references('id')->on('documents');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('association_sponsors');
    }
}
