<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateApplicationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('applications', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('application_type_id')->nullable(false);
            $table->year('program_year')->default(now()->format('Y'))->nullable(false);
            $table->char('application_name', 40)->nullable(false);
            $table->unsignedBigInteger('application_brochure')->nullable(true);
            $table->char('application_price', 10)->nullable(true);
            $table->text('paragraph1')->nullable(false);
            $table->text('paragraph2')->nullable(true);
            $table->text('paragraph3')->nullable(true);
            $table->text('paragraph4')->nullable(true);
            $table->text('paragraph5')->nullable(true);
            $table->char('useful_link1_name',60)->nullable(true);
            $table->text('useful_link1_hyperlink')->nullable(true);
            $table->char('useful_link2_name',60)->nullable(true);
            $table->text('useful_link2_hyperlink')->nullable(true);
            $table->char('useful_link3_name',60)->nullable(true);
            $table->text('useful_link3_hyperlink')->nullable(true);
            $table->text('modal_paragraph1')->nullable(false);
            $table->text('modal_paragraph2')->nullable(true);
            $table->text('modal_paragraph3')->nullable(true);
            $table->text('modal_paragraph4')->nullable(true);
            $table->text('modal_paragraph5')->nullable(true);
            $table->text('modal_paragraph6')->nullable(true);
            $table->text('modal_paragraph7')->nullable(true);
            $table->text('modal_paragraph8')->nullable(true);
            $table->text('modal_paragraph9')->nullable(true);
            $table->text('modal_paragraph10')->nullable(true);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('application_type_id')->references('id')->on('application_types');
            $table->foreign('application_brochure')->references('id')->on('documents');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('applications');
    }
}
