<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBoardPositionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('board_positions', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->char('board_position_title',60)->nullable(false);
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->boolean('officer')->default(false);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('board_positions');
    }
}
