<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLinksTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {

        Schema::create('links', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('link_type_id')->nullable(false);
            $table->char('link_name', 40)->nullable(false);
            $table->text('hyperlink')->nullable(false);
            $table->boolean('external')->default(false);
            $table->boolean('show_main_menu')->default(false);
            $table->boolean('show_menu_more')->default(false);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('link_type_id')->references('id')->on('link_types');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('links');
    }
}
