<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNoticesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('notices', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('notice_image')->nullable(true);
            $table->unsignedBigInteger('notice_brochure')->nullable(true);
            $table->date('start_date')->default(now())->nullable(false);
            $table->date('end_date')->nullable(false);
            $table->char('notice_title',60)->nullable(false);
            $table->text('notice_title_hyperlink')->nullable(true);
            $table->char('line1_text',60)->nullable(true);
            $table->boolean('line1_small')->default(false);
            $table->text('line1_hyperlink')->nullable(true);
            $table->char('line2_text',60)->nullable(true);
            $table->boolean('line2_small')->default(false);
            $table->text('line2_hyperlink')->nullable(true);
            $table->char('line3_text',60)->nullable(true);
            $table->boolean('line3_small')->default(false);
            $table->text('line3_hyperlink')->nullable(true);
            $table->char('line4_text',60)->nullable(true);
            $table->boolean('line4_small')->default(false);
            $table->text('line4_hyperlink')->nullable(true);
            $table->char('line5_text',60)->nullable(true);
            $table->boolean('line5_small')->default(false);
            $table->text('line5_hyperlink')->nullable(true);
            $table->char('line6_text',60)->nullable(true);
            $table->boolean('line6_small')->default(false);
            $table->text('line6_hyperlink')->nullable(true);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('notice_image')->references('id')->on('association_web_images');
            $table->foreign('notice_brochure')->references('id')->on('documents');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('notices');
    }
}
