<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCategoryEventsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('category_events', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('category_type_id')->nullable(false);
            $table->year('program_year')->default(now()->format('Y'))->nullable(false);
            $table->char('title', 100)->nullable(false);
            $table->text('about_event')->nullable(true);
            $table->dateTime('start_date')->nullable(true);
            $table->date('end_date')->nullable(true);
            $table->char('event_host',80)->nullable(true);
            $table->text('host_email')->nullable(true);
            $table->unsignedBigInteger('event_brochure')->nullable(true);
            $table->char('venue',80)->nullable(true);
            $table->text('embedded_map')->nullable(true);
            $table->char('street_address', 100);
            $table->char('city', 60);
            $table->char('state', 50);
            $table->char('state_abrv', 2);
            $table->char('zip', 10);
            $table->char('event_contact', 80)->nullable(true);
            $table->char('phone', 15)->nullable(true);
            $table->char('judge', 100)->nullable(true);
            $table->char('judge_hometown', 100)->nullable(true);
            $table->char('clinic_trainer', 100)->nullable(true);
            $table->text('volunteer_signup_hyperlink')->nullable(true);
            $table->text('web_hyperlink')->nullable(true);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('category_type_id')->references('id')->on('category_types');
            $table->foreign('event_brochure')->references('id')->on('documents');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('category_events');
    }
}
