<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateBoardMembersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('board_members', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->text('bm_name')->nullable(false);
            $table->text('bm_barn')->nullable(true);
            $table->unsignedBigInteger('board_position_id')->nullable(false);
            $table->text('bm_email')->nullable(false); 
            $table->date('bm_start_date')->default(now())->nullable(false);
            $table->date('bm_end_date')->nullable(false);
            $table->unsignedBigInteger('bm_photo')->nullable(false);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('board_position_id')->references('id')->on('board_positions');
            $table->foreign('bm_photo')->references('id')->on('association_web_images');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('board_members');
    }
}
