<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRidersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('riders', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('user_id')->nullable(false);
            $table->string('fname',60);
            $table->string('lname', 60);
            $table->date('dob')->nullable();
            $table->unsignedBigInteger('trainer_user_id');
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('user_id')->references('id')->on('users');
            $table->foreign('trainer_user_id')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('riders');
    }
}
