<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHorsesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('horses', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('association_id')->nullable(false);
            $table->unsignedBigInteger('user_id')->nullable(false);
            $table->string('common_name',100);
            $table->string('show_name', 60);
            $table->enum('horse_type', ['Horse', 'Pony']);
            $table->enum('ownership', ['Schooling', 'Own', 'Lease']);
            $table->string('horse_owner', 120);
            // 'archive' is when a horse is no longer used, but we retain history of events the horse competed in.
            $table->boolean('archive')->default(false);
            $table->timestamps();
            $table->foreign('association_id')->references('id')->on('associations');
            $table->foreign('user_id')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('horses');
    }
}
