<?php

use Illuminate\Database\Seeder;

class ApplicationSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('applications')->insert([
            'association_id' => 1,
            'application_type_id' => 1,
            'program_year' => 2020,
            'application_name' => 'Individual Membership',
            'application_brochure' => 1,
            'application_price' => '$35',
            'paragraph1' => 'Individual Membership is for a program year for one rider.',
            'paragraph2' => 'Remember that year-end point totals count only if you are a member of NWAHJA and have volunteered minimum hours of time at NWAHJA sponsored shows.',
            'paragraph3' => 'Register by the first show so that points from that show count. Points only begin to accumulate for year-end totals after you become a member.',
            'paragraph4' => 'NWAHJA follows the guidelines of the United States Equestrian Federation (USEF) as closely as possible within the practical context of the operation of our local shows. Please read the NWAHJA Rule Book for more details.',
            'paragraph5' => null,
            'useful_link1_name' => 'USEF',
            'useful_link1_hyperlink' => 'www.usef.org',
            'useful_link2_name' => 'NWAHJA Rule Book',
            'useful_link2_hyperlink' => 'www.nwahja.org/docs/2018_NWAHJA_Rule_Book.pdf',
            'useful_link3_name' => 'NWAHJA Bylaws',
            'useful_link3_hyperlink' => 'www.nwahja.org/docs/2016_NWAHJA_bylaws.pdf',
            'modal_paragraph1' => 'The NWAHJA Club, its officers, board members and general membership will not be held responsible for damages or injuries to any person, animal, or other property occurring at the horse show/clinic or on the show grounds.',
            'modal_paragraph2' => 'Additionally, NWAHJA, its officers, board members and general membership shall be indemnified and held harmless from any and all claims and demands of any kind arising from any exhibitor or spectator and his family, employees, animals or property while on or in the NWAHJA show grounds.',
            'modal_paragraph3' => 'Warning: IN ACORDANCE WITH ARKANSAS LAW, AN EQUINE ACTIVITY SPONSOR IS NOT LIABLE FOR AN INJURY TO, OR DEATHER OF A PARTICIPANT IN EQUINE ACTIVITIES RESULTING FROM THE INHERENT RISK OF EQUINE ACTIVITIES, ACT 3563 OF 1995.',
            'modal_paragraph4' => 'Todo:  add instructions here for online registration as a member',
            'modal_paragraph5' => null,
            'modal_paragraph6' => null,
            'modal_paragraph7' => null,
            'modal_paragraph8' => null,
            'modal_paragraph9' => null,
            'modal_paragraph10' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('applications')->insert([
            'association_id' => 1,
            'application_type_id' => 2,
            'program_year' => 2020,
            'application_name' => 'Family Membership',
            'application_brochure' => null,
            'application_price' => '$50',
            'paragraph1' => 'Family Membership is for a program year for multiple riders from one immediate family.',
            'paragraph2' => 'Remember that year-end point totals count only if you are a member of NWAHJA and have volunteered minimum hours of time at NWAHJA sponsored shows.',
            'paragraph3' => 'Register by the first show so that points from that show count. Points only begin to accumulate for year-end totals after you become a member.',
            'paragraph4' => 'NWAHJA follows the guidelines of the United States Equestrian Federation (USEF) as closely as possible within the practical context of the operation of our local shows. Please read the NWAHJA Rule Book for more details.',
            'paragraph5' => null,
            'useful_link1_name' => 'USEF',
            'useful_link1_hyperlink' => 'www.usef.org',
            'useful_link2_name' => 'NWAHJA Rule Book',
            'useful_link2_hyperlink' => 'www.nwahja.org/docs/2018_NWAHJA_Rule_Book.pdf',
            'useful_link3_name' => 'NWAHJA Bylaws',
            'useful_link3_hyperlink' => 'www.nwahja.org/docs/2016_NWAHJA_bylaws.pdf',
            'modal_paragraph1' => 'The NWAHJA Club, its officers, board members and general membership will not be held responsible for damages or injuries to any person, animal, or other property occurring at the horse show/clinic or on the show grounds.',
            'modal_paragraph2' => 'Additionally, NWAHJA, its officers, board members and general membership shall be indemnified and held harmless from any and all claims and demands of any kind arising from any exhibitor or spectator and his family, employees, animals or property while on or in the NWAHJA show grounds.',
            'modal_paragraph3' => 'Warning: IN ACORDANCE WITH ARKANSAS LAW, AN EQUINE ACTIVITY SPONSOR IS NOT LIABLE FOR AN INJURY TO, OR DEATHER OF A PARTICIPANT IN EQUINE ACTIVITIES RESULTING FROM THE INHERENT RISK OF EQUINE ACTIVITIES, ACT 3563 OF 1995.',
            'modal_paragraph4' => null,
            'modal_paragraph5' => null,
            'modal_paragraph6' => 'Todo:  Add instructions here for online registration as a member',
            'modal_paragraph7' => null,
            'modal_paragraph8' => null,
            'modal_paragraph9' => null,
            'modal_paragraph10' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('applications')->insert([
            'association_id' => 1,
            'application_type_id' => 3,
            'program_year' => 2020,
            'application_name' => 'Barn Membership',
            'application_brochure' => 1,
            'application_price' => '$50',
            'paragraph1' => 'Barn Membership is for a program year for one barn location.',
            'paragraph2' => 'Barn membership includes advertising on NWAHJA.ORG website for a Program Year.',
            'paragraph3' => 'NWAHJA follows the guidelines of the United States Equestrian Federation (USEF) as closely as possible within the practical context of the operation of our local shows. Please read the NWAHJA Rule Book for more details.',
            'paragraph4' => null,
            'paragraph5' => null,
            'useful_link1_name' => 'USEF',
            'useful_link1_hyperlink' => 'www.usef.org',
            'useful_link2_name' => 'NWAHJA Rule Book',
            'useful_link2_hyperlink' => 'www.nwahja.org/docs/2018_NWAHJA_Rule_Book.pdf',
            'useful_link3_name' => 'NWAHJA Bylaws',
            'useful_link3_hyperlink' => 'www.nwahja.org/docs/2016_NWAHJA_bylaws.pdf',
            'modal_paragraph1' => 'The NWAHJA Club, its officers, board members and general membership will not be held responsible for damages or injuries to any person, animal, or other property occurring at the horse show/clinic or on the show grounds. Additionally, NWAHJA, its officers, board members and general membership shall be indemnified and held harmless from any and all claims and demands of any kind arising from any exhibitor or spectator and his family, employees, animals or property while on or in the NWAHJA show grounds.',
            'modal_paragraph2' => 'Warning: IN ACORDANCE WITH ARKANSAS LAW, AN EQUINE ACTIVITY SPONSOR IS NOT LIABLE FOR AN INJURY TO, OR DEATHER OF A PARTICIPANT IN EQUINE ACTIVITIES RESULTING FROM THE INHERENT RISK OF EQUINE ACTIVITIES, ACT 3563 OF 1995.',
            'modal_paragraph3' => 'Note: Schooling horse points earned toward year-end awards will not be counted until your barn becomes a member and the rider’s volunteer hours/requirements are met at a NWAHJA show before the last show of the season.',
            'modal_paragraph4' => 'Barn membership allows your barn to be listed as a Member Barn on nwahja.org',
            'modal_paragraph5' => 'Todo:  Add instructions here for online registration as a member',
            'modal_paragraph6' => null,
            'modal_paragraph7' => null,
            'modal_paragraph8' => null,
            'modal_paragraph9' => null,
            'modal_paragraph10' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('applications')->insert([
            'association_id' => 1,
            'application_type_id' => 4,
            'program_year' => 2020,
            'application_name' => 'Business Membership',
            'application_brochure' => null,
            'application_price' => '$50',
            'paragraph1' => 'Business Membership is for a program year for one business.',
            'paragraph2' => null,
            'paragraph3' => null,
            'paragraph4' => null,
            'paragraph5' => null,
            'useful_link1_name' => 'NWAHJA Rule Book',
            'useful_link1_hyperlink' => 'www.nwahja.org/docs/2018_NWAHJA_Rule_Book.pdf',
            'useful_link2_name' => 'NWAHJA Bylaws',
            'useful_link2_hyperlink' => 'www.nwahja.org/docs/2016_NWAHJA_bylaws.pdf',
            'useful_link3_name' => null,
            'useful_link3_hyperlink' => null,
            'modal_paragraph1' => 'The NWAHJA Club, its officers, board members and general membership will not be held responsible for damages or injuries to any person, animal, or other property occurring at the horse show/clinic or on the show grounds. Additionally, NWAHJA, its officers, board members and general membership shall be indemnified and held harmless from any and all claims and demands of any kind arising from any exhibitor or spectator and his family, employees, animals or property while on or in the NWAHJA show grounds.',
            'modal_paragraph2' => 'Warning: IN ACORDANCE WITH ARKANSAS LAW, AN EQUINE ACTIVITY SPONSOR IS NOT LIABLE FOR AN INJURY TO, OR DEATHER OF A PARTICIPANT IN EQUINE ACTIVITIES RESULTING FROM THE INHERENT RISK OF EQUINE ACTIVITIES, ACT 3563 OF 1995.',
            'modal_paragraph3' => null,
            'modal_paragraph4' => null,
            'modal_paragraph5' => 'Todo:  Add instructions here for online registration as a member',
            'modal_paragraph6' => null,
            'modal_paragraph7' => null,
            'modal_paragraph8' => null,
            'modal_paragraph9' => null,
            'modal_paragraph10' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('applications')->insert([
            'association_id' => 1,
            'application_type_id' => 5,
            'program_year' => 2020,
            'application_name' => 'Education Scholarship Application',
            'application_brochure' => null,
            'application_price' => null,
            'paragraph1' => 'The Northwest Arkansas Hunter Jumper Association Scholarship is awarded annually at the NWAHJA Year End Awards Banquet. The application is available for NWAHJA member riders meeting the criteria and guidelines given on the Scholarship Application form.',
            'paragraph2' => null,
            'paragraph3' => null,
            'paragraph4' => null,
            'paragraph5' => null,
            'useful_link1_name' => 'NWAHJA Bylaws',
            'useful_link1_hyperlink' => 'www.nwahja.org/docs/2016_NWAHJA_bylaws.pdf',
            'useful_link2_name' => 'NWAHJA Rule Book',
            'useful_link2_hyperlink' => 'www.nwahja.org/docs/2018_NWAHJA_Rule_Book.pdf',
            'useful_link3_name' => null,
            'useful_link3_hyperlink' => null,
            'modal_paragraph1' => 'The NWAHJA Education Scholarship will be awarded for continuing education at an accredited college or university based on the following criteria and guidelines:',
            'modal_paragraph2' => 'The applicant must be in 9th, 10th, 11th or 12th grade at the time of the 2021 Year Ends Awards Banquet held in January 2021',
            'modal_paragraph3' => 'The applicant must ride a minimum of 4 times in the Scholarship Division (Education Equitation/ Scholarship EQ) at NWAHJA sanctioned horse shows for the year 2020.',
            'modal_paragraph4' => 'The applicant must submit proof of a grade point average of 2.5 or higher.',
            'modal_paragraph5' => 'The applicant must submit proof of completing a minimum of 40 volunteer hours during 2020. These volunteer hours must include a minimum of 20 volunteer hours volunteering for NWAHJA and a minimum of 20 hours of community service at the organization(s) of their choice.',
            'modal_paragraph6' => 'The applicant must submit an essay (minimum of 2 pages, single spaced) that will be judged on content, structure, and grammar, and should include the applicant’s horse-related experiences, future educational goals, and intended use of the scholarship money.',
            'modal_paragraph7' => 'The applicant must submit two letters of recommendation; one from a teacher, past or present; one from an equine professional.',
            'modal_paragraph8' => 'All documentation/submissions are required no later than December 1, 2020 and shall be emailed to The NWAHJA Scholarship Committee Chairperson, Jennifer Barlow at president@nwahja.org. Please identify correspondence in your subject line as Scholarship Application. If you have any questions or need a physical mailing address please use the CONTACT webpage.',
            'modal_paragraph9' => 'The top three applicants will be interviewed by the Scholarship Committee prior to the Year End Awards Banquet in January 2021, with the winner(s) to be announced at the Awards Banquet.',
            'modal_paragraph10' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('applications')->insert([
            'association_id' => 1,
            'application_type_id' => 6,
            'program_year' => 2020,
            'application_name' => 'My Ride Scholarship Application',
            'application_brochure' => null,
            'application_price' => null,
            'paragraph1' => 'As a way of promoting the continuing education of our riders the My Ride Scholarship is being offered. The 2020 MY RIDE Scholarship recipient will have the honor of having their NWAHJA equitation classes, including Medal classes, for the following season (2021) sponsored by NWAHJA. The winner will be announced at the NWAHJA Year End Banquet.',
            'paragraph2' => null,
            'paragraph3' => null,
            'paragraph4' => null,
            'paragraph5' => null,
            'useful_link1_name' => 'NWAHJA Bylaws',
            'useful_link1_hyperlink' => 'www.nwahja.org/docs/2016_NWAHJA_bylaws.pdf',
            'useful_link2_name' => 'NWAHJA Rule Book',
            'useful_link2_hyperlink' => 'www.nwahja.org/docs/2018_NWAHJA_Rule_Book.pdf',
            'useful_link3_name' => null,
            'useful_link3_hyperlink' => null,
            'modal_paragraph1' => 'The MY RIDE Scholarship recipient will have the honor of having their NWAHJA equitation classes, including Medal classes, for the following season sponsored by NWAHJA. The winner will be announced at the NWAHJA Year End Banquet. The MY RIDE Scholarship is available to any rider who meets all of the below requirements:',
            'modal_paragraph2' => '- Is a NWAHJA member in good standing.',
            'modal_paragraph3' => '- Exhibits good sportsmanship in all circumstances.',
            'modal_paragraph4' => '- Rides in 18” EQ or 2’ EQ at a minimum of 4 NWAHJA shows.',
            'modal_paragraph5' => '- Has 10 recorded/verified volunteer hours with NWAHJA by November 15, 2020.',
            'modal_paragraph6' => '- Submits a completed MY RIDE Application by November 15, 2020.',
            'modal_paragraph7' => '- Submits an essay by Dec. 15, 2020. Please refer to the application for the topic of the essay.',
            'modal_paragraph8' => '- Submits a Letter of Recommendation from a riding instructor by December 15, 2020.',
            'modal_paragraph9' => 'The My Ride Application, essay, and Letter of Recommendation will be sent to the Scholarship Committee by email to President@nwahja.org.',
            'modal_paragraph10' => 'Please drop off your original APPLICATION ONLY at the Show Secretary’s desk during the NWAHJA Harvest Run Show in November 2020.',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }
}
