<?php

use Illuminate\Database\Seeder;

class AssociationSponsorsSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('association_sponsors')->insert([
            'association_id' => 1,
            'sponsor_logo' => 1,
            'sponsor_name' => 'Ozark Facial Plastic Surgery and Aesthetics',
            'sponsor_level' => 'Event',
            'embedded_map1' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3220.509685228324!2d-94.20977818529098!3d36.178484380081265!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c96d3a007e617d%3A0xf3266356440d1891!2s6823+Isaac&#39;s+Orchard+Rd%2C+Springdale%2C+AR+72762!5e0!3m2!1sen!2sus!4v1522284627827" width="100%" height="300"></iframe>'),
            'street_address' => '6823 Isaac\'s Orchard Rd.',
            'city' => 'Springdale',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72762',
            'phone' => '(479)751-7000',
            'embedded_map2' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3213.8436866960874!2d-94.19340818528533!3d36.34033808004581!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c910f56a74ff11%3A0x70809d90c8022cde!2s2900+Medical+Center+Pkwy%2C+Bentonville%2C+AR+72712!5e0!3m2!1sen!2sus!4v1522284737618" width="100%" height="300"></iframe>'),
            'street_address_2' => '2900 Medical Center Parkway',
            'city_2' => 'Bentonville',
            'state_2' => 'Arkansas',
            'state_abrv_2' => 'AR',
            'zip_2' => '72712',
            'phone_2' => '(479)751-7000',
            'sponsor_website' => 'www.ozarkfacial.com',
            'sponsor_facebook'=> 'www.facebook.com/OzarkFacialPlasticSurgery',
            'sponsor_email' => 'fake.email@nwahja.org',
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'sponsor_brochure' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('association_sponsors')->insert([
            'association_id' => 1,
            'sponsor_logo' => 1,
            'sponsor_name' => 'CJP&P Consulting',
            'sponsor_level' => 'Show',
            'embedded_map1' => null,
            'street_address' => '2 No Real Street',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => '(479)555-5555',
            'embedded_map2' => null,
            'street_address_2' => null,
            'city_2' => null,
            'state_2' => null,
            'state_abrv_2' => null,
            'zip_2' => null,
            'phone_2' => null,
            'sponsor_website' => 'www.uark.edu',
            'sponsor_facebook'=> null,
            'sponsor_email' => null,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'sponsor_brochure' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('association_sponsors')->insert([
            'association_id' => 1,
            'sponsor_logo' => 1,
            'sponsor_name' => 'Aesthetic Surgery NWA',
            'sponsor_level' => 'Medal',
            'embedded_map1' => null,
            'street_address' => '1101 NE McClain Road',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => '(844)268-7396',
            'embedded_map2' => null,
            'street_address_2' => '130 E. 9th Street',
            'city_2' => 'Mountain Home',
            'state_2' => 'Arkansas',
            'state_abrv_2' => 'AR',
            'zip_2' => '72653',
            'phone_2' => null,
            'sponsor_website' => 'www.AestheticSurgeryNWA.com',
            'sponsor_facebook'=> 'www.facebook.com/newmanmdplasticsurgery',
            'sponsor_email' => null,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'sponsor_brochure' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('association_sponsors')->insert([
            'association_id' => 1,
            'sponsor_logo' => 1,
            'sponsor_name' => 'Bonjour Tack',
            'sponsor_level' => 'Medal',
            'embedded_map1' => null,
            'street_address' => 'On line Only',
            'city' => 'NWA',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => '(479)306-1452',
            'embedded_map2' => null,
            'street_address_2' => null,
            'city_2' => null,
            'state_2' => null,
            'state_abrv_2' => null,
            'zip_2' => null,
            'phone_2' => null,
            'sponsor_website' => null,
            'sponsor_facebook'=> 'www.facebook.com/bonjourtack/',
            'sponsor_email' => null,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'sponsor_brochure' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('association_sponsors')->insert([
            'association_id' => 1,
            'sponsor_logo' => 1,
            'sponsor_name' => 'The Equestrian Connection',
            'sponsor_level' => 'Equitation',
            'embedded_map1' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3214.144496229129!2d-94.18121604900122!3d36.33304767994946!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c910ef0fa89809%3A0xd97affd017aeb88d!2s4408+W+Walnut+St%2C+Rogers%2C+AR+72756!5e0!3m2!1sen!2sus!4v1495244626749" width="80%" height="100"></iframe>'),
            'street_address' => '4408 West Walnut Street, Suite 1',
            'city' => 'Rogers',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72756',
            'phone' => '(479)899-6576',
            'embedded_map2' => null,
            'street_address_2' => null,
            'city_2' => null,
            'state_2' => null,
            'state_abrv_2' => null,
            'zip_2' => null,
            'phone_2' => null,
            'sponsor_website' => 'www.FoxHuntingShop.com',
            'sponsor_facebook'=> null,
            'sponsor_email' => null,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'sponsor_brochure' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('association_sponsors')->insert([
            'association_id' => 1,
            'sponsor_logo' => 1,
            'sponsor_name' => 'Northwest Equine Services',
            'sponsor_level' => 'Equitation',
            'embedded_map1' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3224.2270782788582!2d-94.23726394997806!3d36.087952215069706!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c971e2588d27fd%3A0xb71ae09743f9e190!2s1650+N+Sunshine+Rd%2C+Fayetteville%2C+AR+72704!5e0!3m2!1sen!2sus!4v1558471740455!5m2!1sen!2sus" width="80%" height="100"></iframe>'),
            'street_address' => '1650 North Sunshine Road',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72704',
            'phone' => '(479)521-5558',
            'embedded_map2' => null,
            'street_address_2' => null,
            'city_2' => null,
            'state_2' => null,
            'state_abrv_2' => null,
            'zip_2' => null,
            'phone_2' => null,
            'sponsor_website' => null,
            'sponsor_facebook'=> 'www.facebook.com/Northwest-Equine-Services-10208581239',
            'sponsor_email' => null,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'sponsor_brochure' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('association_sponsors')->insert([
            'association_id' => 1,
            'sponsor_logo' => 1,
            'sponsor_name' => 'Ozark Office Anesthesia',
            'sponsor_level' => 'Equitation',
            'embedded_map1' => null,
            'street_address' => '6823 Isaacs Orchard Road',
            'city' => 'Springdale',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72762',
            'phone' => '(479)502-1591',
            'embedded_map2' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3220.509507240588!2d-94.20978354997501!3d36.17848871005114!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c96d3a007e617d%3A0xf3266356440d1891!2s6823+Isaac&#39;s+Orchard+Rd%2C+Springdale%2C+AR+72762!5e0!3m2!1sen!2sus!4v1558472757621!5m2!1sen!2sus" width="80%" height="100"></iframe>'),
            'street_address_2' => null,
            'city_2' => null,
            'state_2' => null,
            'state_abrv_2' => null,
            'zip_2' => null,
            'phone_2' => null,
            'sponsor_website' => null,
            'sponsor_facebook'=> null,
            'sponsor_email' => null,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'sponsor_brochure' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);



    }
}
