<?php

use Illuminate\Database\Seeder;

class BarnSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('barns')->insert([
            'association_id' => 1,
            'barn_logo' => 1,
            'barn_name' => 'Deer Creek Farm',
            'about_barn' => 'Deer Creek offers local and out of town A and AA rated hunter jumper shows, including Santa Fe in July and Foxhunting in Oklahoma, Kansas and Texas. Winter Clinics and a summer camp for the young rider.',
            'barn_owner' => null,
            'trainers' => 'Diane Gooderl, Sally Lobb',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6449.076511608603!2d-94.040817!3d36.080365!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c94245cf804b49%3A0xd89f36e68023bdff!2s17681%20E%20Wyman%20Rd%2C%20Fayetteville%2C%20AR%2072701!5e0!3m2!1sen!2sus!4v1585003985499!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '17681 E Wyman Rd',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)530-5959',
            'website' => 'www.deercreekfarm.info/',
            'facebook'=> null,
            'email' => 'deercreekfarm@hughes.net',
            'barn_brochure' => 1,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('barns')->insert([
            'association_id' => 1,
            'barn_logo' => 1,
            'barn_name' => 'Horses for Healing',
            'about_barn' => 'Horses for Healing is a nonprofit adaptive/therapeutic horsemanship center in Northwest Arkansas for individuals with special needs, run by a passionate Farm Team and Board of Directors. In addition to private clients, Horses for Healing provides services to area school children and education groups. A Sports Riding Program is also offered to provide inclusive lessons for advanced equestrian training and activities for independent riders that includes group lessons, camps and competitions.',
            'barn_owner' => 'Megan Smits - General Manager',
            'trainers' => 'Kelsey Griffing',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6430.573384200786!2d-94.356605!3d36.305354!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c909a8284ba9c5%3A0x84b79ec8d27d301f!2s14673%20Daniels%20Rd%2C%20Bentonville%2C%20AR%2072712!5e0!3m2!1sen!2sus!4v1585004060567!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '14673 Daniels Road',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72713',
            'phone' => '(479)795-0570',
            'website' => 'www.horsesforhealingnwa.org/',
            'facebook'=> null,
            'email' => 'megan@horsesforhealingnwa.org',
            'barn_brochure' => 1,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('barns')->insert([
            'association_id' => 1,
            'barn_logo' => 1,
            'barn_name' => 'Laurel Manor Equestrian, LLC',
            'about_barn' => 'Laurel Manor is a locally owned and operated equestrian instruction academy specializing in hunt-seat equitation and dressage. Whether you have your heart set on show competition or simply have a desire to ride for pleasure, Laurel Manor will cater to your interests.',
            'barn_owner' => 'Laura McKenzie',
            'trainers' => 'Laura McKenzie',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6424.906520018073!2d-94.308702!3d36.37402!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c905e43ed5fbd3%3A0x89ed80ef7e9a79c1!2s12680%20Seba%20Rd%2C%20Centerton%2C%20AR%2072719!5e0!3m2!1sen!2sus!4v1585004256342!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '12680 Seba Road',
            'city' => 'Centerton',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72719',
            'phone' => '(479)530-1241',
            'website' => 'www.laurelmanorequ.com',
            'facebook'=> null,
            'email' => 'laurelmanoreq@gmail.com',
            'barn_brochure' => 1,
            'start_date' => '2020-02-05',
            'end_date' => '2021-01-31',
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        // this entry is from previous year and was not renewed.
        DB::table('barns')->insert([
            'association_id' => 1,
            'barn_logo' => 1,
            'barn_name' => 'Rico Enterprises',
            'barn_owner' => 'Rachel Sargent',
            'trainers' => 'Rachel Sargent',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6424.906520018073!2d-94.308702!3d36.37402!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c905e43ed5fbd3%3A0x89ed80ef7e9a79c1!2s12680%20Seba%20Rd%2C%20Centerton%2C%20AR%2072719!5e0!3m2!1sen!2sus!4v1585004256342!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '12816 Hogeye Road',
            'city' => 'Prairie Grove',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72753',
            'phone' => '(479)957-5331',
            'website' => null,
            'facebook'=> null,
            'email' => 'rico@pgtc.com',
            'barn_brochure' => 1,
            'start_date' => '2019-02-05',
            'end_date' => '2020-01-31',
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('barns')->insert([
            'association_id' => 1,
            'barn_logo' => 1,
            'barn_name' => 'Moonrise Equestrian',
            'barn_owner' => 'Katrina Baxter',
            'trainers' => 'Katrina Baxter',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6419.271626935581!2d-94.135841!3d36.442188!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c9194f49d3e141%3A0xac7c450b4053712d!2s1762%20Slack%20St%2C%20Pea%20Ridge%2C%20AR%2072751!5e0!3m2!1sen!2sus!4v1586049265293!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '1762 Slack Street',
            'city' => 'Pea Ridge',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72751',
            'phone' => '(479)889-7362',
            'website' => null,
            'facebook'=> null,
            'email' => 'Moonriseeq@gmail.com',
            'barn_brochure' => 1,
            'start_date' => '2019-03-26',
            'end_date' => '2021-01-31',
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('barns')->insert([
            'association_id' => 1,
            'barn_logo' => 1,
            'barn_name' => 'Legends Equestrian Center',
            'barn_owner' => 'Heather Swope',
            'trainers' => 'Heather Swope',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6419.271626935581!2d-94.135841!3d36.442188!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c9194f49d3e141%3A0xac7c450b4053712d!2s1762%20Slack%20St%2C%20Pea%20Ridge%2C%20AR%2072751!5e0!3m2!1sen!2sus!4v1586049265293!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '17341 W Hwy 102',
            'city' => 'Decatur',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72722',
            'phone' => '(479)366-5860',
            'website' => 'www.legendseq.com',
            'facebook'=> null,
            'email' => 'legendseq@gmail.com',
            'barn_brochure' => 1,
            'start_date' => '2018-03-26',
            'end_date' => '2020-01-31',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }
}
