<?php

use App\User;
use Illuminate\Database\Seeder;

class BouncerSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $member = Bouncer::role()->firstOrCreate([
            'name' => 'Member',
            'title' => 'Member',
        ]);

        $trainer = Bouncer::role()->firstOrCreate([
            'name' => 'Trainer',
            'title' => 'Trainer',
        ]);

        $board_member = Bouncer::role()->firstOrCreate([
            'name' => 'Board Member',
            'title' => 'Board Member',
        ]);

        $view_admin = Bouncer::ability()->firstOrCreate([
            'name' => 'view-admin',
            'title' => 'View Admin Panel'
        ]);

        $manage_users = Bouncer::ability()->firstOrCreate([
            'name' => 'manage-users',
            'title' => 'Manage Users'
        ]);

        Bouncer::allow('superadmin')->everything();

        Bouncer::allow('Admin')->everything();
        Bouncer::forbid('Admin')->to($manage_users);

        Bouncer::allow('Board Member')->to($view_admin);
    }
}
