<?php

use Illuminate\Database\Seeder;

class CategoryEventSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        DB::table('category_events')->insert([
            'association_id' => 1,
            'category_type_id' => 1,
            'program_year' => now()->format('Y'),
            'title' => 'The May Horse Show',
            'about_event' => 'Join us for the May Horse Show.',
            'start_date' => '2020-05-10',
            'end_date' => null,
            'event_host' => 'NWAHJA',
            'host_email' => 'info@nwahja.org',
            'event_brochure' => 1,
            'venue' => 'Benton County Fairgrounds',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6429.50848815951!2d-94.299881!3d36.318266!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0xad43bd203c4be5c1!2sBenton%20County%20Fairgrounds%20%26%20Expo!5e0!3m2!1sen!2sus!4v1585778427243!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '7640 SW Regional Airport Road',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => null,
            'judge' => 'Mike Moore "R"',
            'judge_hometown' => 'Tulsa, OK',
            'clinic_trainer' => null,
            'volunteer_signup_hyperlink' => null,
            'web_hyperlink' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('category_events')->insert([
            'association_id' => 1,
            'category_type_id' => 1,
            'program_year' => now()->format('Y'),
            'title' => 'The Season Opener',
            'about_event' => 'This event is Cancelled due to the COVID-19 Epidemic.',
            'start_date' => '2020-04-11',
            'end_date' => null,
            'event_host' => 'NWAHJA',
            'host_email' => 'info@nwahja.org',
            'event_brochure' => null,
            'venue' => 'Jasper Springs',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6449.099476951821!2d-94.10864600000001!3d36.080085!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0x2ec45ef817ddf61b!2sJasper%20Springs%20Ranch!5e0!3m2!1sen!2sus!4v1585778044076!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '1469 N Starr Dr',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => null,
            'judge' => 'Joey Brumbaugh "R"',
            'judge_hometown' => 'Tulsa, OK',
            'clinic_trainer' => null,
            'volunteer_signup_hyperlink' => null,
            'web_hyperlink' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('category_events')->insert([
            'association_id' => 1,
            'category_type_id' => 1,
            'program_year' => now()->format('Y'),
            'title' => 'The June Horse Show',
            'about_event' => 'Always a good time with a theme that will soon be announced.',
            'start_date' => '2020-06-14',
            'end_date' => null,
            'event_host' => 'Legends Equestrian Center',
            'host_email' => 'info@nwahja.org',
            'event_brochure' => 1,
            'venue' => 'Legends Equestrian Center',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d12856.260407304136!2d-94.41545!3d36.334972!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c9a7eb1f0395b9%3A0x964311f037f54687!2s17341%20AR-102%2C%20Decatur%2C%20AR%2072722!5e0!3m2!1sen!2sus!4v1585779038740!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '17341 W Highway 102',
            'city' => 'Decatur',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72722',
            'phone' => null,
            'judge' => 'Pam Bishop "R"',
            'judge_hometown' => 'Baldwin, MO',
            'clinic_trainer' => null,
            'volunteer_signup_hyperlink' => null,
            'web_hyperlink' => 'www.legendseq.com',
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('category_events')->insert([
            'association_id' => 1,
            'category_type_id' => 3,
            'program_year' => now()->format('Y'),
            'title' => '2019 Annual Awards Banquet',
            'about_event' => 'Please join us to recognize the 2019 NWAHJA Award Recipients while having a great time. There will be dinner, entertainment, and dancing as we celebrate another year completed!',
            'start_date' => '2020-01-25',
            'end_date' => null,
            'event_host' => 'NWAHJA',
            'host_email' => 'info@nwahja.org',
            'event_brochure' => null,
            'venue' => 'Osage House',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6432.2236078717615!2d-94.23073!3d36.285337!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0xe481ec94653cf154!2sOsage%20House!5e0!3m2!1sen!2sus!4v1585775448945!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '243 Pace Lane',
            'city' => 'Cave Springs',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72718',
            'phone' => null,
            'judge' => null,
            'judge_hometown' => null,
            'clinic_trainer' => null,
            'volunteer_signup_hyperlink' => null,
            'web_hyperlink' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('category_events')->insert([
            'association_id' => 1,
            'category_type_id' => 2,
            'program_year' => now()->format('Y'),
            'title' => 'The Winter Clinic',
            'about_event' => 'A great opportunity to work with a outstanding trainer. Melissa Mihalevich has been riding since an early age. She has competed at the Grand Prix level, including World Cup Qualifiers, from Arizona to Spruce Meadows.',
            'start_date' => '2020-02-08',
            'end_date' => '2020-02-09',
            'event_host' => 'NWAHJA',
            'host_email' => 'info@nwahja.org',
            'event_brochure' => 1,
            'venue' => 'Lauri and Tim Mason’s',
            'embedded_map' => base64_encode('<iframe src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d6445.08977566442!2d-94.096966!3d36.128944!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x87c96a476fcf422f%3A0xbcd0b875c3828cf4!2s4386%20N%20Old%20Wire%20Rd%2C%20Fayetteville%2C%20AR%2072703!5e0!3m2!1sen!2sus!4v1585777451595!5m2!1sen!2sus" width="100%" height="300" allowfullscreen="" aria-hidden="false" tabindex="0"></iframe>'),
            'street_address' => '4386 N. Old Wire Road',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'event_contact' => 'Bridgette Pardo',
            'phone' => '(479)263-6822',
            'judge' => null,
            'judge_hometown' => null,
            'clinic_trainer' => 'Melissa Mihalevich',
            'volunteer_signup_hyperlink' => null,
            'web_hyperlink' => 'www.nwahja.org/docs/pdf_promo_flyers/2020_nwahja_clinic_flyer.pdf',
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }
}
