<?php

use App\User;
use Illuminate\Database\Seeder;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $super_admin_id = DB::table('users')->insertGetId([
            'association_id' => 1,
            'name' => 'superadmin', // this is the username
            'email' => 'superadmin@nwahja.org',
            'email_verified_at' => now(),
            'password' => '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi', //password
            'remember_token' => Str::random(10),
            'fname' => 'SUPER',
            'lname' => 'ADMIN',
            'street_address' => '123 Someplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        $admin_id = DB::table('users')->insertGetId([
            'association_id' => 1,
            'name' => 'admin',
            'email' => 'admin@nwahja.org',
            'email_verified_at' => now(),
            'password' => '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi', //password
            'remember_token' => Str::random(10),
            'fname' => 'NWAHJA',
            'lname' => 'ADMIN',
            'street_address' => '123 Someplace Else Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        Bouncer::assign('superadmin')->to(User::find($super_admin_id));
        Bouncer::assign('Admin')->to(User::find($admin_id));


        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'user',
            'email' => 'user@nwahja.org',
            'email_verified_at' => now(),
            'password' => '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi', //password
            'remember_token' => Str::random(10),
            'fname' => 'PUBLIC',
            'lname' => 'USER',
            'street_address' => '123 Noplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'member',
            'email' => 'member@nwahja.org',
            'email_verified_at' => now(),
            'password' => '$2y$10$92IXUNpkjO0rOQ5byMi.Ye4oKoEa3Ro9llC/.og/at2.uheWG/igi', //password
            'remember_token' => Str::random(10),
            'fname' => 'NWAHJA',
            'lname' => 'MEMBER',
            'street_address' => '123 Overthere Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Brandi Lane',
            'email' => 'pres@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Brandi',
            'lname' => 'Lane',
            'street_address' => '123 Someplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => 3,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Rebecca Randall',
            'email' => 'sec@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Rebecca',
            'lname' => 'Randall',
            'street_address' => '123 Someplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => 6,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Jennifer Fowler',
            'email' => 'vp@email.com',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Jennifer',
            'lname' => 'Fowler',
            'street_address' => '123 A Ave',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => '(479)555-5555',
            'barn' => 6,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Bridgette Pardo',
            'email' => 'treas@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Bridgette',
            'lname' => 'Pardo',
            'street_address' => '123 Someplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Megan Morris',
            'email' => 'bm1@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Megan',
            'lname' => 'Morris',
            'street_address' => '123 S Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => 4,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Sally Lobb',
            'email' => 'bm2@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Sally',
            'lname' => 'Lobb',
            'street_address' => '123 Someplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Ryan Lowe',
            'email' => 'bm3@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Ryan',
            'lname' => 'Lowe',
            'street_address' => '123 Someplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Cristina Little',
            'email' => 'volcord@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Cristina',
            'lname' => 'Little',
            'street_address' => '123 Someplace Ave',
            'city' => 'Cave Springs',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72718',
            'phone' => '(479)555-5555',
            'barn' => 2,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Kim Crawford',
            'email' => 'bm4@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Kim',
            'lname' => 'Crawford',
            'street_address' => '123 Someplace Ave',
            'city' => 'Cave Springs',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72718',
            'phone' => '(479)555-5555',
            'barn' => 3,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Jessica Lobb',
            'email' => 'jrbm1@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Jessica',
            'lname' => 'Lobb',
            'street_address' => '123 Someplace Ave',
            'city' => 'Cave Springs',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72718',
            'phone' => '(479)555-5555',
            'barn' => 1,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Anna Kathryn Riggs',
            'email' => 'jrbm2@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Anna Kathryn',
            'lname' => 'Riggs',
            'street_address' => '123 Someplace Ave',
            'city' => 'Cave Springs',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72718',
            'phone' => '(479)555-5555',
            'barn' => 2,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Willow Lane',
            'email' => 'jrbm3@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Willow',
            'lname' => 'Lane',
            'street_address' => '123 Someplace Ave',
            'city' => 'Fayetteville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72701',
            'phone' => '(479)555-5555',
            'barn' => 3,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Addison Fowler',
            'email' => 'jrbm4@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Willow',
            'lname' => 'Lane',
            'street_address' => '123 A Ave',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => '(479)555-5555',
            'barn' => 6,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Trainer1',
            'email' => 'train1@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Trainer',
            'lname' => 'One',
            'street_address' => '123 Big Ave',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => '(479)555-5555',
            'barn' => 4,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

        DB::table('users')->insert([
            'association_id' => 1,
            'name' => 'Trainer2',
            'email' => 'train2@nwahja.org',
            'email_verified_at' => now(),
            'password' => bcrypt('password'),
            'remember_token' => Str::random(10),
            'fname' => 'Trainer',
            'lname' => 'Two',
            'street_address' => '123 Little Ave',
            'city' => 'Bentonville',
            'state' => 'Arkansas',
            'state_abrv' => 'AR',
            'zip' => '72712',
            'phone' => '(479)555-5555',
            'barn' => 2,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

    }
}
