INSERT INTO associations (name, acronym, street_address, city, state, state_abrv, zip, phone, status) VALUES
('Northwest Arkansas Hunter Jumper Association', 'NWAHJA', 'P.O. Box 2494', 'Bentonville', 'Arkansas', 'AR', '72712-2494', '', true);

INSERT INTO associations (name, acronym, street_address, city, state, state_abrv, zip, phone, status) VALUES
('Demo Association', 'DEMOA', '222 Some Street', 'Somewhere', 'Arkansas', 'AR', '77777-7777','5015555555', true);

INSERT INTO roles (association_id, role_name, role_auth_level)
	VALUES (1,'public', 0);

INSERT INTO roles (association_id, role_name, role_auth_level)
	VALUES (1,'member', 100);

INSERT INTO roles (association_id, role_name, role_auth_level)
	VALUES (1,'trainer', 200);

INSERT INTO roles (association_id, role_name, role_auth_level)
	VALUES (1,'show_sec', 300);

INSERT INTO roles (association_id, role_name, role_auth_level)
	VALUES (1,'board_member', 400);

INSERT INTO roles (association_id, role_name, role_auth_level)
	VALUES (1,'board_officer', 500);

INSERT INTO roles (association_id, role_name, role_auth_level)
	VALUES (1,'universal-Admin', 1000);

INSERT INTO barns (association_id, barn_name, address, city, state, zip, phone, email, trainer_name, barn_website)
	VALUES (1,'Deer Creek Farm','17681 E Wyman Rd','Fayetteville','Arkansas','72701-9562','4795305959','deercreekfarm@hughtes.net','Diane Gooderl','http://www.deercreekfarm.info/');

INSERT INTO barns (association_id, barn_name, address, city, state, zip, phone, email, trainer_name, barn_website)
	VALUES (2,'Horses for Healing','14673 Daniels Road','Bentonville','Arkansas','72713-8731','4797950570', 'megan@horsesforhealingnwa.org' ,'Krissi Long','https://www.horsesforhealingnwa.org/');

INSERT INTO barns (association_id, barn_name, address, city, state, zip, phone, email, trainer_name, barn_website)
	VALUES (3,'Laurel Manor Equestrian, LLC','12680 Seba Road','Centerton','Arkansas','72719-8999','4795301241', 'laurelmanoreq@gmail.com' ,'Laura McKenzie','https://www.laurelmanorequ.com/');

INSERT INTO barns (association_id, barn_name, address, city, state, zip, phone, email, trainer_name)
	VALUES (4,'Rico Enterprises','12816 Hogeye Road','Prairie Grove','Arkansas','72753-8460','4799575331', 'rico@pgtc.com' ,'Rachel Sargent');

INSERT INTO users
	(association_id, username, email, password, fname, lname, address, city, state, zip, phone, barn_id, role_id)
	VALUES
	(1,'asuperuser', 'asuperuser@nwahja.org', sha2('Password1',256), 'Johnny', 'Wolf', '1239 Leelynjean Lane', 'Springdale', 'AR', '72762', '4793612170', 1, 1);

INSERT INTO users
	(association_id, username, email, password, fname, lname, address, city, state, zip, phone, barn_id, role_id)
	VALUES
	(1,'amember', 'amember@nwahja.org', sha2('Password1',256), 'Jane', 'Diditagain', '247 Main Street', 'Springdale', 'AR', '72762', '5555555555', 1, 2);

INSERT INTO users
	(association_id, username, email, password, fname, lname, address, city, state, zip, phone, barn_id, role_id)
	VALUES
	(1,'atrainer', 'atrainer@nwahja.org', sha2('Password1',256), 'John', 'Doe', '123 A Street', 'Springdale', 'AR', '72762', '4795555555', 1, 3);

INSERT INTO users
	(association_id, username, email, password, fname, lname, address, city, state, zip, phone, barn_id, role_id)
	VALUES
	(1,'ashowsecretary', 'ashowsecretary@nwahja.org', sha2('Password1',256), 'Susie', 'Writesalot', '123 A Street', 'Springdale', 'AR', '72762', '4795555555', 1, 4);

INSERT INTO users
	(association_id, username, email, password, fname, lname, address, city, state, zip, phone, barn_id, role_id)
	VALUES
	(1,'aboardmember', 'aboardmember@nwahja.org', sha2('Password1',256), 'Jenny', 'Isincharge', '123 A Street', 'Springdale', 'AR', '72762', '4795555555', 1, 5);

INSERT INTO users
	(association_id, username, email, password, fname, lname, address, city, state, zip, phone, barn_id, role_id)
	VALUES
	(1,'aboardofficer', 'aboardofficer@nwahja.org', sha2('Password1',256), 'Ida', 'Seniorboard', '123 A Street', 'Springdale', 'AR', '72762', '4796666666', 1, 6);

INSERT INTO users
	(association_id, username, email, password, fname, lname, address, city, state, zip, phone, barn_id, role_id)
	VALUES
	(1,'assocadmin', 'assocadmin@nwahja.org', sha2('Password1',256), 'Ima', 'Bigadmin', '123 A Street', 'Springdale', 'AR', '72762', '4796666666', 1, 7);

INSERT INTO riders (user_id, fname, lname, dob, trainer_id) VALUES
(2, 'Molly', 'Isarider', '2003-02-22',3);

INSERT INTO mhorses (user_id, hname, htype, ownership) VALUES
(2, 'Hershey', 'Horse', 'Own');

INSERT INTO board_positions
	(board_position_title, association_id)
	VALUES
	('President', 1);

INSERT INTO board_positions
	(board_position_title,association_id)
	VALUES
	('Vice President', 1);

INSERT INTO board_positions
	(board_position_title, association_id)
	VALUES
	('Treasurer', 1);

INSERT INTO board_positions
	(board_position_title, association_id)
	VALUES
	('Secretary', 1);

INSERT INTO board_positions
	(board_position_title, association_id)
	VALUES
	('Volunteer Coordinator', 1);

INSERT INTO board_positions
	(board_position_title, association_id)
	VALUES
	('Board Member', 1);

INSERT INTO board_positions
	(board_position_title, association_id)
	VALUES
	('Jr. Board Member', 1);

INSERT INTO document_types (association_id, doc_type, board_members_only) VALUES
(1, 'Monthly Treasury Report', true);

INSERT INTO document_types (association_id, doc_type, board_members_only) VALUES
(1, 'Show Bill', false);

INSERT INTO document_types (association_id, doc_type, board_members_only) VALUES
(1, 'Board Meeting Minutes', false);

INSERT INTO document_types (association_id, doc_type, board_members_only) VALUES
(1, 'Brochure', true);

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'Oops! Missing Picture', '/img/picture_not_available_400-300.png');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'NWAHJA-Logo', '/img/NWAHJA-Logo.png');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'NWAHJA-Logo-Badge-Transparent', '/img/NWAHJA-Logo-Badge-Transparent.png');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'NWAHJA-Logo-Badge', '/img/NWAHJA-Logo-Badge.png');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'Developing Riders', '/img/home_page/slide-08 (640x426).jpg');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'Honoring Traditions', '/img/home_page/slide-01.jpg');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'Loving Horses', '/img/home_page/slide-02.jpg');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'Honoring Traditions', '/img/home_page/slide-05 (640x427).jpg');

INSERT INTO association_web_images (association_id, image_title, image_hyperlink) VALUES
(1, 'Developing Riders', '/img/home_page/slide-00.jpg');

INSERT INTO board_members
	(user_id, board_position_id, bm_email, bm_start_date, bm_end_date, bm_photo) VALUES
	(6, 1, 'President@NWAHJA.ORG', '2020-02-01', '2021-01-31', 1);

INSERT INTO board_members
	(user_id, board_position_id, bm_email, bm_start_date, bm_end_date, bm_photo) VALUES
	(5, 6, 'board.members@NWAHJA.ORG', '2020-02-01', '2021-01-31', 1);

INSERT INTO association_home_infos (association_id, header_sub_title, brand_logo, before_text, tagline1, tagline2, tagline3) VALUES
(1, 'header_sub_title', 4, 'Welcome to', 'Honoring Traditions', 'Developing Riders', 'Loving Horses');

INSERT INTO association_home_infos (association_id, header_sub_title, brand_logo, before_text, tagline1, tagline2, tagline3) VALUES
(2, 'header_sub_title', 1, 'before_text', 'tagline1', 'tagline2', 'tagline3');

INSERT INTO notices (association_id, start_date, end_date, notice_title, notice_title_hyperlink, line1_text, line1_small, line1_hyperlink, line2_text, line2_small, line2_hyperlink, line3_text, line3_small, line3_hyperlink, line4_text, line4_small, line4_hyperlink, line5_text, line5_small, line5_hyperlink, line6_text, line6_small, line6_hyperlink) VALUES (1, '2020-02-20', '2020-04-30', 'The NWAHJA Season Opener', 'https://nwahja.org/events.html#apr2020-show', 'at', TRUE, '', 'Jasper Springs Ranch', FALSE, 'http://jasperspringsranch.com/cgi-sys/defaultwebpage.cgi', 'More Information', TRUE, 'https://nwahja.org/events.html#apr2020-show', '', FALSE, '', '', FALSE, '', '', FALSE, '');

INSERT INTO notices (association_id, start_date, end_date, notice_title, notice_title_hyperlink, line1_text, line1_small, line1_hyperlink, line2_text, line2_small, line2_hyperlink, line3_text, line3_small, line3_hyperlink, line4_text, line4_small, line4_hyperlink, line5_text, line5_small, line5_hyperlink, line6_text, line6_small, line6_hyperlink) VALUES (1, '2020-02-20', '2020-05-09', 'fake1-notice_title', 'https://nwahja.org/index.html', 'line1_text', false, 'https://nwahja.org/index.html', 'line2_text', false, 'https://nwahja.org/index.html', 'line3_text', false, 'https://nwahja.org/index.html', 'line4_text', false, 'https://nwahja.org/index.html', 'line5_text', false, 'https://nwahja.org/index.html', 'line6_text', FALSE, 'https://nwahja.org/index.html');

INSERT INTO notices (association_id, start_date, end_date, notice_title, notice_title_hyperlink, line1_text, line1_small, line1_hyperlink, line2_text, line2_small, line2_hyperlink, line3_text, line3_small, line3_hyperlink, line4_text, line4_small, line4_hyperlink, line5_text, line5_small, line5_hyperlink, line6_text, line6_small, line6_hyperlink) VALUES (1, '2020-02-20', '2020-05-09', 'fake2-notice_title', 'https://nwahja.org/index.html', 'line1_text', false, 'https://nwahja.org/index.html', 'line2_text', false, 'https://nwahja.org/index.html', 'line3_text', false, 'https://nwahja.org/index.html', 'line4_text', false, 'https://nwahja.org/index.html', 'line5_text', false, 'https://nwahja.org/index.html', 'line6_text', FALSE, 'https://nwahja.org/index.html');

INSERT INTO notices (association_id, start_date, end_date, notice_title, notice_title_hyperlink, line1_text, line1_small, line1_hyperlink, line2_text, line2_small, line2_hyperlink, line3_text, line3_small, line3_hyperlink, line4_text, line4_small, line4_hyperlink, line5_text, line5_small, line5_hyperlink, line6_text, line6_small, line6_hyperlink) VALUES (1, '2020-02-20', '2020-05-09', 'fake3-notice_title', 'https://nwahja.org/index.html', 'line1_text', true, 'https://nwahja.org/index.html', 'line2_text', true, 'https://nwahja.org/index.html', 'line3_text', true, 'https://nwahja.org/index.html', 'line4_text', true, 'https://nwahja.org/index.html', 'line5_text', true, 'https://nwahja.org/index.html', 'line6_text', true, 'https://nwahja.org/index.html');

INSERT INTO association_web_setup_carousel_images
(association_id, carousel_image, carousel_image_caption) VALUES
(1, 5, 'image-1-caption');

INSERT INTO association_web_setup_carousel_images
(association_id, carousel_image, carousel_image_caption) VALUES
(1, 6, 'image-2-caption');

INSERT INTO association_web_setup_carousel_images
(association_id, carousel_image, carousel_image_caption) VALUES
(1, 7, 'image-3-caption');

INSERT INTO association_web_setup_carousel_images
(association_id, carousel_image, carousel_image_caption) VALUES
(1, 8, 'image-4-caption');

INSERT INTO association_web_setup_carousel_images
(association_id, carousel_image, carousel_image_caption) VALUES
(1, 9, 'image-5-caption');

INSERT INTO association_web_setup_carousel_images
(association_id, carousel_image, carousel_image_caption) VALUES
(2, 5, 'image-1-caption');

INSERT INTO association_sponsors
(association_id, sponsor_logo, sponsor_name, street_address, city, state, state_abrv, zip, phone, sponsor_website, start_date, end_date, sponsor_brochure) VALUES
(1, 2, 'University of Arkansas', '1234 Dickson Street', 'Fayetteville', 'Arkansas', 'AR', '72701', '479-555-5555', 'https://www.uark.edu/', '2020-02-01', '2020-04-30', '');

INSERT INTO documents
(association_id, doc_title, document_type_id, doc_hyperlink) VALUES
(1, 'A Fake PDF Brochure', 4, '/public/docs/Fake_PDF_Brochure.pdf');

